Bug 138881 - gnome-keybinding-properties deletes underlying key mappings
gnome-keybinding-properties deletes underlying key mappings
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-11-11 14:41 EST by Sam Sgro
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-09 15:54:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sam Sgro 2004-11-11 14:41:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020

Description of problem:
When I add an keyboard shortcut to the Fedora->Preferences->Keyboard
Shortcuts applet, the underlying (simply alt+ or ctrl+) key gets
changed. Basically, I lose the ability to type the letter "q" if I use

xev shows that the underlying keycode has been changed:

KeyPress event, serial 25, synthetic NO, window 0x3200001,
    root 0x48, subw 0x0, time 92058680, (142,87), root:(147,131),
    state 0x10, keycode 24 (keysym 0x1008ff14, XF86AudioPlay),
same_screen YES,
    XLookupString gives 0 bytes:
    XmbLookupString gives 0 bytes:
    XFilterEvent returns: False

... and I have to use xmodmap to restore the key mapping.

Version-Release number of selected component (if applicable):

How reproducible:
Every time.

Steps to Reproduce:
1. Open gnome-keybinding-properties.
2. Change the accelerator for "Play" to Ctrl-q.
3. Try to type the letter q in another open window.

Actual Results:  Nothing appears to occur when you press q. All the
other keys on the keyboard function.

Expected Results:  I expect to see the letter q!

Additional info:
Comment 1 Ray Strode [halfline] 2005-09-09 15:33:34 EDT
Hi Sam,

Are you still seeing this in FC4 or rawhide?
Comment 2 Sam Sgro 2005-09-09 15:54:58 EDT
Having returned to FC4 from Debian unstable, I'm unable to replicate the bug.

Note You need to log in before you can comment on or make changes to this bug.